package com.bpcl.lpg.core.service;

import com.bpcl.lpg.core.model.AlternateNumberOtpModel;
import com.jcraft.jsch.SftpException;
import com.jcraft.jsch.JSchException;
import java.io.IOException;
import com.bpcl.lpg.core.model.LpgUndeliveredReasonModel;
import com.bpcl.lpg.facades.data.LpgDeliveryNotPossibleRequestData;
import com.bpcl.lpg.facades.data.LpgDeliveryOtpRequestData;
import com.bpcl.lpg.core.model.CashMemoModel;
import java.util.List;

public interface LpgDeliveryConfirmationService
{
    List<Object> getOrdersByAreaId(final String p0, final String p1);
    
    List<CashMemoModel> getCashMemoDetailsByStaffID(final String p0, final String p1, final String p2, final String p3, final String p4, final String p5);
    
    CashMemoModel getCashMemoDetails(final String p0);
    
    void updateWrongOtpCounter(final CashMemoModel p0, final boolean p1);
    
    void updateDeliveryConfirmation(final CashMemoModel p0, final LpgDeliveryOtpRequestData p1);
    
    void confirmUndelivered(final CashMemoModel p0, final LpgDeliveryNotPossibleRequestData p1);
    
    List<LpgUndeliveredReasonModel> getUndeliveredReasons();
    
    void uploadFileOnSFTP(final String p0, final String p1) throws IOException, NumberFormatException, JSchException, SftpException;
    
    void updateResendOtpTime(final CashMemoModel p0);
    
    AlternateNumberOtpModel getOtpCountByNumber(final String p0);
    
    void updateOtpCount(final AlternateNumberOtpModel p0);
    
    AlternateNumberOtpModel createAlternateNumberModel(final String p0);
}
